package com.example.demo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.util.Date;
@RestController
@RequestMapping("/test")
public class TestController {
    @Autowired
    private TestService testService;
    /**
     * http://localhost:1088/test/get
     */
    @GetMapping("/get")
    public String get(){
        System.out.println("第一次查询：" + testService.getDb1());
        System.out.println("第二次查询：" + testService.getDb2());
        return "当前时间：" + new Date().getTime();
    }
    /**
     * http://localhost:1088/test/update
     */
    @GetMapping("/update")
    public String update(){
        testService.update();
        return "当前时间：" + new Date().getTime();
    }
}