package com.example.demo;
import com.baomidou.dynamic.datasource.annotation.DS;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Service;
@Service
public class TestDao {
    @Autowired
    private JdbcTemplate jdbcTemplate;
    @DS("master")
    public String getDb1(){
        return jdbcTemplate.queryForMap("select name from user where id=1").get("name").toString();
    }
    @DS("slave")
    public String getDb2(){
        return jdbcTemplate.queryForMap("select name from user where id=1").get("name").toString();
    }
    @DS("master")
    public void update1(){
        jdbcTemplate.update("update user set name='修改 1' where id=1");
    }
    @DS("slave")
    public void update2(){
        jdbcTemplate.update("update user set name='修改 2' where id=1");
        // System.out.println(1/0);
    }
}