package com.example.demo;
import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class TestService {
    @Autowired
    private TestDao testDao;
    /**
     * 必须通过Spring代理的方式调用，同一个类中调用的话，不会切换数据源
     */
    public String getDb1(){
        return testDao.getDb1();
    }
    public String getDb2(){
        return testDao.getDb2();
    }
    /**
     * dynamic提供的事物控制，这里无需指定回滚异常
     */
    @DSTransactional
    public void update(){
        testDao.update1();
        testDao.update2();
    }
}